#version 330

in vec3 vNormal;
in vec3 vEye;
in vec3 vPos;

out vec4 OutColor;

uniform vec3 uCameraPosition;
uniform sampler2D uNoiseTexSampler;
uniform float uTime;

void main()
{
	vec3 eyeDir = -normalize( uCameraPosition - vPos );
	
	vec3 underSeaColor = vec3( 0.0, 0.07, 0.13 ) * 0.15;
	vec4 color = vec4( underSeaColor, 1.0 );
	
	float cameraDist = length( vEye );
	
	OutColor = vec4( mix( underSeaColor, vec3( 0.0 ), clamp( -eyeDir.y, 0.0, 1.0 ) ), 1.0 );
}